TikTok Shop

Profit and loss for a date window from TikTok's settlement statements

GET/api/public/v1/tik_tok_shop/finance/pnl
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopPnl

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/finance/pnl?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystring (date)required
end_datequerystring (date)required
group_byquerystringOne of totaldaysku Default total
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
basisstring, nullable
coverageobject, nullable
coverage.ordersFailednumber, nullable
coverage.ordersNeedednumber, nullable
coverage.ordersReadnumber, nullable
coverage.statementPagesnumber, nullable
coverage.statementsFailednumber, nullable
coverage.transactionPagesnumber, nullable
coverage.transactionRowsnumber, nullable
currencystring, nullable
groupBystring, nullable
groupsarray of object, nullable
groups[].[].adjustmentsstring, nullable
groups[].[].adjustmentsByTypeobject, nullable
groups[].[].affiliateCommissionstring, nullable
groups[].[].cogsobject, nullable
groups[].[].cogs.amountstring, nullable
groups[].[].cogs.completeboolean, nullable
groups[].[].cogs.unitsstring, nullable
groups[].[].cogs.unitsCostedstring, nullable
groups[].[].feesobject, nullable
groups[].[].fees.affiliateCommissionAmountstring, nullable
groups[].[].fees.platformCommissionAmountstring, nullable
groups[].[].fees.referralFeeAmountstring, nullable
groups[].[].feesAndTaxesstring, nullable
groups[].[].grossProfitstring, nullable
groups[].[].keystring, nullable
groups[].[].platformCommissionstring, nullable
groups[].[].refundsobject, nullable
groups[].[].refunds.refundSubtotalBeforeDiscountAmountstring, nullable
groups[].[].refunds.sellerDiscountRefundAmountstring, nullable
groups[].[].reservestring, nullable
groups[].[].revenuestring, nullable
groups[].[].revenueBreakdownobject, nullable
groups[].[].revenueBreakdown.sellerDiscountAmountstring, nullable
groups[].[].revenueBreakdown.subtotalBeforeDiscountAmountstring, nullable
groups[].[].rowsobject, nullable
groups[].[].rows.adjustmentsnumber, nullable
groups[].[].rows.ordersnumber, nullable
groups[].[].rows.reservesnumber, nullable
groups[].[].rows.skusnumber, nullable
groups[].[].settlementstring, nullable
groups[].[].shippingstring, nullable
groups[].[].shippingBreakdownobject, nullable
groups[].[].shippingBreakdown.actualShippingFeeAmountstring, nullable
groups[].[].taxesobject, nullable
groups[].[].taxes.salesTaxReferralFeeAmountstring, nullable
groups[].[].unitsstring, nullable
skusWithoutCogsarray of object
statementsobject, nullable
statements.fullyReadnumber, nullable
statements.headerTotalsobject, nullable
statements.headerTotals.adjustmentAmountstring, nullable
statements.headerTotals.feeAmountstring, nullable
statements.headerTotals.netSalesAmountstring, nullable
statements.headerTotals.revenueAmountstring, nullable
statements.headerTotals.settlementAmountstring, nullable
statements.headerTotals.shippingCostAmountstring, nullable
statements.listednumber, nullable
truncatedboolean, nullable
truncatedReasonsarray of object
unallocated, nullable
windowobject, nullable
window.endDatestring, nullable
window.startDatestring, nullable

Example

{
  "basis": "string",
  "coverage": {
    "ordersFailed": 125.5,
    "ordersNeeded": 125.5,
    "ordersRead": 125.5,
    "statementPages": 125.5,
    "statementsFailed": 125.5,
    "transactionPages": 125.5,
    "transactionRows": 125.5
  },
  "currency": "usd",
  "groupBy": "string",
  "groups": [
    {
      "adjustments": "string",
      "adjustmentsByType": {},
      "affiliateCommission": "string",
      "cogs": {
        "amount": "string",
        "complete": true,
        "units": "string",
        "unitsCosted": "string"
      },
      "fees": {
        "affiliateCommissionAmount": "string",
        "platformCommissionAmount": "string",
        "referralFeeAmount": "string"
      },
      "feesAndTaxes": "string",
      "grossProfit": "string",
      "key": "string",
      "platformCommission": "string",
      "refunds": {
        "refundSubtotalBeforeDiscountAmount": "string",
        "sellerDiscountRefundAmount": "string"
      },
      "reserve": "string",
      "revenue": "string",
      "revenueBreakdown": {
        "sellerDiscountAmount": "string",
        "subtotalBeforeDiscountAmount": "string"
      },
      "rows": {
        "adjustments": 125.5,
        "orders": 125.5,
        "reserves": 125.5,
        "skus": 125.5
      },
      "settlement": "string",
      "shipping": "string",
      "shippingBreakdown": {
        "actualShippingFeeAmount": "string"
      },
      "taxes": {
        "salesTaxReferralFeeAmount": "string"
      },
      "units": "string"
    }
  ],
  "skusWithoutCogs": [
    "string"
  ],
  "statements": {
    "fullyRead": 125.5,
    "headerTotals": {
      "adjustmentAmount": "string",
      "feeAmount": "string",
      "netSalesAmount": "string",
      "revenueAmount": "string",
      "settlementAmount": "string",
      "shippingCostAmount": "string"
    },
    "listed": 125.5
  },
  "truncated": true,
  "truncatedReasons": [
    "string"
  ],
  "unallocated": "string",
  "window": {
    "endDate": "string",
    "startDate": "string"
  }
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.